Bug 1013619 - Number of images listed in glance domains shouldn't be limited by server-side configuration
Number of images listed in glance domains shouldn't be limited by server-side...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Federico Simoncelli
Elad
storage
:
Depends On:
Blocks: 1019461 3.3snap2
  Show dependency treegraph
 
Reported: 2013-09-30 09:08 EDT by Federico Simoncelli
Modified: 2016-02-10 12:15 EST (History)
10 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
abaron: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19223 None None None Never
oVirt gerrit 20626 None None None Never

  None (edit)
Description Federico Simoncelli 2013-09-30 09:08:47 EDT
Description of problem:
Glance server returns a limited number of images on listing (defined server-side by limit_param_default in /etc/glance/glance-registry.conf).
Ovirt should loop multiple times to get the full list when needed.

Version-Release number of selected component (if applicable):
rhevm-backend-3.3.0-0.23.master.el6ev.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. List images on a glance tenant containing more images than limit_param_default

Actual results:
Not all the images are listed.

Expected results:
All images (up to a certain rhev-defined limit) should be listed.
Comment 4 Elad 2013-11-18 11:03:17 EST
RHEVM reveals the whole images list from glance, which contains more images than specified by limit_param_default in /etc/glance/glance-registry.conf. (more than 25). Can I move to VERIFIED?
Comment 5 Federico Simoncelli 2013-11-18 11:15:30 EST
(In reply to Elad from comment #4)
> RHEVM reveals the whole images list from glance, which contains more images
> than specified by limit_param_default in /etc/glance/glance-registry.conf.
> (more than 25). Can I move to VERIFIED?

Yes, looks good to me.
Comment 6 Elad 2013-11-18 11:21:23 EST
RHEVM reveals the whole images list from glance, which contains more images than specified by limit_param_default in /etc/glance/glance-registry.conf. (more than 25)

Verified on is23:
rhevm-3.3.0-0.33.beta1.el6ev.noarch
Comment 7 Itamar Heim 2014-01-21 17:30:31 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:30:32 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:33:32 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.